<!DOCTYPE html>
<html>
    <head>
        <title>Project List</title>
    </head>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Signup</a>
                    </li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <body>
        <main>
            <div>
                <h1>My Projects</h1>
                <div>
                    <a href="{% url "create_project" %}">Create a new project</a>
                </div>
                {% if projects %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Number of tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in projects %}
                                <tr>
                                    <td>
                                        <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                    </td>
                                    <td>{{ project.tasks.all|length }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <p>You are not assigned to any projects</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
